View Issue Details

IDProjectCategoryView StatusLast Update
0003710ScribusStory Editor / Text Framespublic2006-12-22 22:19
Reporteruser715Assigned Toavox  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformanyOSOS Version
Product Version1.3.3.1 
Target VersionFixed in Version1.3.4cvs 
Summary0003710: paragraph gets style from previous paragraph when using backspace to delete empty paragraph
Descriptionbug appears in text frame - not in story editor.
problem as in summary. when there are three paragraphs: first with some text and with style "style one", second - empty with style "style two", and third with style "style two", and you delete second paragraph with backspace (cursor placed in third para), then third para gets style "style one"
Steps To Reproduce1. create three paragraphs
   - one paragraph with some text and with separate style (for example "style one")
   - two paragraphs with different style (for example "style two"); first of them should be empty.
now we have something like that:

"first paragraph with style 'style one'

third paragraph with style 'style two' (the second paragraph - with same style - is empty)"

2. place cursor at the beginning of third paragraph, then use backspace to delete second paragraph - third paragraph gets style "style one"
TagsNo tags attached.
Patch

Relationships

related to 0003157 acknowledged Metabug: Cursor placement fixes 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2006-04-27 07:53 user715 New Issue
2006-04-27 12:01 avox Status new => assigned
2006-04-27 12:01 avox Assigned To => avox
2006-08-17 10:56 avox Priority normal => immediate
2006-11-08 05:52 avox Priority immediate => normal
2006-11-08 05:52 avox Status assigned => resolved
2006-11-08 05:52 avox Resolution open => fixed
2006-11-08 05:52 avox Fixed in Version => 1.3.4cvs
2006-12-22 22:19 avox Status resolved => closed
2007-05-23 21:12 christoph_s Relationship added related to 0003157
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames